## org.eclipse.amp.axf.core
Interface ILifecycleNotifier

All Known Subinterfaces:
  IModel

All Known Implementing Classes:
  ScapeWrapperModel

    public interface ILifecycleNotifier

Author:
  mparker

Method Summary
`void` `addModelListener(ILifeCycleListener listener)` Adds the model listener.
`java.util.Collection<ILifeCycleListener>` `getModelListeners()` Gets the model listeners.
`void` `removeModelListener(ILifeCycleListener view)` Removes the model listener.

Method Detail

### addModelListener

    void addModelListener(ILifeCycleListener listener)

  Adds the model listener.

  Parameters:
    `listener` - the listener

### getModelListeners

    java.util.Collection<ILifeCycleListener> getModelListeners()

  Gets the model listeners.

  Returns:
    the model listeners

### removeModelListener

    void removeModelListener(ILifeCycleListener view)

  Removes the model listener.

  Parameters:
    `view` - the view